summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorhorsemanoffaith2018-03-10 22:48:04 -0800
committerhorsemanoffaith2018-03-10 22:48:04 -0800
commit311f6e2f5be9e91ad16b104ddff96882b664b2c1 (patch)
tree90dc266c9c94c86aa5c78a678e04850f6edb1f58
parentbfd61b5b791cc6d24f707a61f33ede4382e4ddc6 (diff)
downloadaur-311f6e2f5be9e91ad16b104ddff96882b664b2c1.tar.gz
update to version 12.10.1.17.04.20170215
-rw-r--r--.SRCINFO12
-rw-r--r--0002-Fix-mono-nunit-pkgconfig-name.patch25
-rw-r--r--PKGBUILD17
3 files changed, 16 insertions, 38 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 7d195157e3e..9fbcd26556a 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = libappindicator-ubuntu
pkgdesc = A library to allow applications to export a menu into the Unity Menu bar
- pkgver = 12.10.1.17.04.20161129
+ pkgver = 12.10.1.17.04.20170215
pkgrel = 1
url = https://launchpad.net/libappindicator
arch = i686
@@ -18,22 +18,24 @@ pkgbase = libappindicator-ubuntu
makedepends = perl-xml-libxml
makedepends = pygtk
makedepends = vala
- source = https://launchpad.net/ubuntu/+archive/primary/+files/libappindicator_12.10.1+17.04.20161129.orig.tar.gz
+ source = https://launchpad.net/ubuntu/+archive/primary/+files/libappindicator_12.10.1+17.04.20170215.orig.tar.gz
source = 0001-Glib.Timeout-fix.patch
- source = 0002-Fix-mono-nunit-pkgconfig-name.patch
source = 0003-Fix-Mono-assemblies-directory.patch
- sha512sums = 9ef7c14350bc9397f5aafb31ba399b55674b5034ac59a9ec69b24e403e0e9bd056ace03861ad7671e9c5ce4d998adb58e718e7a31125affc6bb5d1f49aa50d1f
+ sha512sums = a3ab2418e240b912a5e64473e53a085fe5985d2b2d3b318003309833aa518daa1e241b6b67c264a74526a199ee66559bbf970bd5c0117e806e59bcf1c85f04de
sha512sums = 3303fa39c4f2e0d9d092735ae7b457873cf4b3a3b0dd5c1f492728ae4f12dc3f0f123a1b003d81e9b5164b13dea71d598fae01fd667c24cf6983155d58cecb4c
- sha512sums = ea1822c3a09ef4c59d91b267d2ea0d0c9003c04ea0d8d4fb6a73e1b51084faccafbf41d6390a9c0e1326fd3334421539bdbb86a2a5e5022fa96e9d5196ef2d1d
sha512sums = 22e15f875a636bbbf8b1e80867a219b4b47b334d1bfe759f4ce79bf3665fc63af36b57fddb6c92aa7db148b5ea9ed789e510a9b23d87324b1b48695ad1ca9bc7
pkgname = libappindicator-gtk2-ubuntu
pkgdesc = A library to allow applications to export a menu into the Unity Menu bar (GTK+ 2 library)
depends = libindicator-gtk2-ubuntu
depends = libdbusmenu-gtk2-ubuntu
+ provides = libappindicator-gtk2
+ conflicts = libappindicator-gtk2
pkgname = libappindicator-gtk3-ubuntu
pkgdesc = A library to allow applications to export a menu into the Unity Menu bar (GTK+ 3 library)
depends = libindicator-gtk3-ubuntu
depends = libdbusmenu-gtk3-ubuntu
+ provides = libappindicator-gtk3
+ conflicts = libappindicator-gtk3
diff --git a/0002-Fix-mono-nunit-pkgconfig-name.patch b/0002-Fix-mono-nunit-pkgconfig-name.patch
deleted file mode 100644
index 0398698e3e6..00000000000
--- a/0002-Fix-mono-nunit-pkgconfig-name.patch
+++ /dev/null
@@ -1,25 +0,0 @@
-From 72de73f8d90fa54b884086dddf3b06a1d14b9e59 Mon Sep 17 00:00:00 2001
-From: Xiao-Long Chen <chenxiaolong@cxl.epac.to>
-Date: Tue, 7 Oct 2014 17:22:16 -0400
-Subject: [PATCH 2/3] Fix mono-nunit pkgconfig name
-
----
- configure.ac | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/configure.ac b/configure.ac
-index d131c9e..c8e480f 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -160,7 +160,7 @@ AC_ARG_ENABLE([mono-test],
- [enable_mono_test=auto])
-
- if test x"$enable_mono_test" != x"no" ; then
-- PKG_CHECK_MODULES(NUNIT, nunit >= 2.4.7,
-+ PKG_CHECK_MODULES(NUNIT, mono-nunit >= 2.4.7,
- [have_nunit=yes],
- [PKG_CHECK_MODULES(MONO_NUNIT, mono-nunit,
- [have_nunit=yes],
---
-2.1.2
-
diff --git a/PKGBUILD b/PKGBUILD
index 86a31a3f0e6..e382905866e 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,13 +4,13 @@
# Contributor: thn81 <root@scrat>
# vercheck-pkgbuild: auto
-# vercheck-ubuntu: name=${pkgbase}, repo=zesty
+# vercheck-ubuntu: name=${pkgbase}, repo=bionic
# vercheck-launchpad: name=${pkgbase}
pkgbase=libappindicator-ubuntu
pkgname=(libappindicator-gtk2-ubuntu libappindicator-gtk3-ubuntu)
_actual_ver=12.10.1
-_extra_ver=+17.04.20161129
+_extra_ver=+17.04.20170215
pkgver=${_actual_ver}${_extra_ver/\+/.}
pkgrel=1
pkgdesc="A library to allow applications to export a menu into the Unity Menu bar"
@@ -21,17 +21,14 @@ makedepends=(dbus-glib gobject-introspection gtk-doc gtk-sharp-2 libdbusmenu-gtk
groups=(unity)
source=("https://launchpad.net/ubuntu/+archive/primary/+files/${pkgbase/\-*/}_${_actual_ver}${_extra_ver}.orig.tar.gz"
0001-Glib.Timeout-fix.patch
- 0002-Fix-mono-nunit-pkgconfig-name.patch
0003-Fix-Mono-assemblies-directory.patch)
-sha512sums=('9ef7c14350bc9397f5aafb31ba399b55674b5034ac59a9ec69b24e403e0e9bd056ace03861ad7671e9c5ce4d998adb58e718e7a31125affc6bb5d1f49aa50d1f'
+sha512sums=('a3ab2418e240b912a5e64473e53a085fe5985d2b2d3b318003309833aa518daa1e241b6b67c264a74526a199ee66559bbf970bd5c0117e806e59bcf1c85f04de'
'3303fa39c4f2e0d9d092735ae7b457873cf4b3a3b0dd5c1f492728ae4f12dc3f0f123a1b003d81e9b5164b13dea71d598fae01fd667c24cf6983155d58cecb4c'
- 'ea1822c3a09ef4c59d91b267d2ea0d0c9003c04ea0d8d4fb6a73e1b51084faccafbf41d6390a9c0e1326fd3334421539bdbb86a2a5e5022fa96e9d5196ef2d1d'
'22e15f875a636bbbf8b1e80867a219b4b47b334d1bfe759f4ce79bf3665fc63af36b57fddb6c92aa7db148b5ea9ed789e510a9b23d87324b1b48695ad1ca9bc7')
prepare() {
patch -p1 -i ../0001-Glib.Timeout-fix.patch
- patch -p1 -i ../0002-Fix-mono-nunit-pkgconfig-name.patch
patch -p1 -i ../0003-Fix-Mono-assemblies-directory.patch
}
@@ -44,14 +41,14 @@ build() {
[[ -d build-gtk2 ]] || mkdir build-gtk2
pushd build-gtk2
- ../configure --prefix=/usr --with-gtk=2 --disable-static \
+ ../configure --prefix=/usr --with-gtk=2 --disable-static --disable-mono-test \
PYTHON=python2 CSC=/usr/bin/mcs
make -j1
popd
[[ -d build-gtk3 ]] || mkdir build-gtk3
pushd build-gtk3
- ../configure --prefix=/usr --with-gtk=3 --disable-static \
+ ../configure --prefix=/usr --with-gtk=3 --disable-static --disable-mono-test \
PYTHON=python2 CSC=/usr/bin/mcs
make -j1
popd
@@ -59,6 +56,8 @@ build() {
package_libappindicator-gtk2-ubuntu() {
pkgdesc+=" (GTK+ 2 library)"
+ provides=(libappindicator-gtk2)
+ conflicts=(libappindicator-gtk2)
depends=(libindicator-gtk2-ubuntu libdbusmenu-gtk2-ubuntu)
cd build-gtk2
@@ -68,6 +67,8 @@ package_libappindicator-gtk2-ubuntu() {
package_libappindicator-gtk3-ubuntu() {
pkgdesc+=" (GTK+ 3 library)"
+ provides=(libappindicator-gtk3)
+ conflicts=(libappindicator-gtk3)
depends=(libindicator-gtk3-ubuntu libdbusmenu-gtk3-ubuntu)
cd build-gtk3